<?php

declare(strict_types=1);

namespace Seka\Vzdelavanie\Http\Requests\Sprava\Testovanie\Otazka;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;
use Seka\Vzdelavanie\Enums\ModelStatusEnum;
use Seka\Vzdelavanie\Models\Testovanie\DruhSpravnejOdpovedeEnum;

/**
 * Class OtazkaStoreRequest
 *
 * @package Seka\Vzdelavanie\Http\Requests\Sprava\Testovanie\Otazka
 */
final class OtazkaStoreRequest extends FormRequest
{
    /**
     * @return array
     */
    public function rules(): array
    {
        return [
            'znenie' => 'required|min:10|max:8192',
            'druh_spravnej_odpovede' => [
                'required',
                Rule::enum(DruhSpravnejOdpovedeEnum::class),
            ],
            'stav' => [
                'required',
                Rule::enum(ModelStatusEnum::class),
            ],
        ];
    }
}
